Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class GlobalProperties

    java.lang.Object
      com.vordel.es.ESChangeListenerAdapter
          com.vordel.circuit.GlobalProperties

All Implemented Interfaces:
  com.vordel.dwe.LoadableModule, ESChangeListener

    public class GlobalProperties

extends ESChangeListenerAdapter
implements com.vordel.dwe.LoadableModule

Field Summary
`static java.lang.String[]` | `SYS_LABELS`
`static java.lang.String` | `SYS_POLICY_FAULTHANDLER`
`static java.lang.String` | `SYS_POLICY_REQUEST`
`static java.lang.String` | `SYS_POLICY_RESPONSE`

Constructor Summary
`GlobalProperties()`

Method Summary
`void` | `childAdded(Entity entity)` A child Entity has been added to a parent Entity to which we are listening.
`void` | `childDeleted(ESPK parentPK, ESPK childPK)` A child Entity has been removed from a parent Entity to which we are listening.
`void` | `childUpdated(Entity entity)` A child Entity has been added to the parent Entity to which we are listening.
`void` | `configure(EntityStore store, Entity object, com.vordel.common.crypto.PasswordCipher c)`
`boolean` | `containsKey(java.lang.String key)`
`boolean` | `containsValue(java.lang.Object val)`
`void` | `deregisterListener(EntityStore store)`
`java.lang.Object` | `get(java.lang.String key)`
`java.util.Set<java.lang.String>` | `getAllKeys()`
`static GlobalProperties` | `getInstance()`
`java.lang.String` | `getLocalizedKey(java.lang.String key)`
`ESPK` | `getPK()`
`void` | `load(com.vordel.dwe.LoadableModule parent, java.lang.String entityType)`
`void` | `putRef(EntityStore es, java.lang.String key, ESPK val)`
`void` | `registerListener(EntityStore es, Entity e)`
`void` | `unload()`

Methods inherited from class com.vordel.es.ESChangeListenerAdapter
`entityDeleted, entityUpdated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYS_POLICY_FAULTHANDLER

    public static final java.lang.String SYS_POLICY_FAULTHANDLER

See Also:
  Constant Field Values

### SYS_POLICY_REQUEST

    public static final java.lang.String SYS_POLICY_REQUEST

See Also:
  Constant Field Values

### SYS_POLICY_RESPONSE

    public static final java.lang.String SYS_POLICY_RESPONSE

See Also:
  Constant Field Values

### SYS_LABELS

    public static final java.lang.String[] SYS_LABELS

Constructor Detail

### GlobalProperties

    public GlobalProperties()

Method Detail

### getPK

    public ESPK getPK()

### unload

    public void unload()

  Specified by:
    `unload` in interface `com.vordel.dwe.LoadableModule`

### load

    public void load(com.vordel.dwe.LoadableModule parent,
                     java.lang.String entityType)

  Specified by:
    `load` in interface `com.vordel.dwe.LoadableModule`

### configure

    public void configure(EntityStore store,
                          Entity object,
                          com.vordel.common.crypto.PasswordCipher c)
                   throws EntityStoreException

  Specified by:
    `configure` in interface `com.vordel.dwe.LoadableModule`
  Throws:
    `EntityStoreException`

### get

    public java.lang.Object get(java.lang.String key)

### getInstance

    public static GlobalProperties getInstance()

### containsKey

    public boolean containsKey(java.lang.String key)

### getAllKeys

    public java.util.Set<java.lang.String> getAllKeys()

### childAdded

    public void childAdded(Entity entity)

  Description copied from interface: `ESChangeListener`
  A child Entity has been added to a parent Entity to which we are listening. The exact parent can be identified from the child Entity itself.

  Specified by:
    `childAdded` in interface `ESChangeListener`
  Overrides:
    `childAdded` in class `ESChangeListenerAdapter`
  Parameters:
    `entity` - The child entity in question

### childUpdated

    public void childUpdated(Entity entity)

  Description copied from interface: `ESChangeListener`
  A child Entity has been added to the parent Entity to which we are listening.

  Specified by:
    `childUpdated` in interface `ESChangeListener`
  Overrides:
    `childUpdated` in class `ESChangeListenerAdapter`
  Parameters:
    `entity` - The child entity in question

### childDeleted

    public void childDeleted(ESPK parentPK,
                             ESPK childPK)

  Description copied from interface: `ESChangeListener`
  A child Entity has been removed from a parent Entity to which we are listening.

  Specified by:
    `childDeleted` in interface `ESChangeListener`
  Overrides:
    `childDeleted` in class `ESChangeListenerAdapter`
  Parameters:
    `parentPK` - The parent identifier
    `childPK` - The deleted child identifier

### registerListener

    public void registerListener(EntityStore es,
                                 Entity e)
                          throws EntityStoreException

  Throws:
    `EntityStoreException`

### deregisterListener

    public void deregisterListener(EntityStore store)
                            throws EntityStoreException

  Throws:
    `EntityStoreException`

### putRef

    public void putRef(EntityStore es,
                       java.lang.String key,
                       ESPK val)

### containsValue

    public boolean containsValue(java.lang.Object val)

### getLocalizedKey

    public java.lang.String getLocalizedKey(java.lang.String key)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel